/*
 * Muestra el uso de set_stdin().
 */
var
   linea       = ""
   cant_lineas = 0
const
   ARCH_ENTRADA = "resumen.txt"
   ARCH_SALIDA  = "letra_a.txt"
inicio
   imprimir ("\nEste programa muestra cmo usar set_stdin() para leer",
             " desde un archivo, y set_stdout() para enviar los",
             " resultados a otro archivo.\n")
   si ( not set_stdin (ARCH_ENTRADA) ) {
      imprimir ("\nNo se pudo abrir el archivo ", ARCH_ENTRADA,
                ".\nEl programa no puede continuar.")
      terminar("\nEjecucin terminada con error.\n")
   }
   /*
    * Se desea leer una lnea a la vez; por eso el separador es \n
    */
   set_ifs ("\n")
   si ( not set_stdout (ARCH_SALIDA) ) {
      terminar ("\nNo se pudo abrir el archivo " + ARCH_SALIDA)
   }
   /*
    * A partir de ahora, imprimir() grabar en el archivo abierto
    * ms arriba y no mostrar nada en la pantalla.
    */
   leer (linea)
   mientras ( not eof() ) {
      si ( pos (linea, "a") > 0 ) {
         imprimir (linea)
         inc (cant_lineas)
      }
      leer (linea)
   }
   /*
    * Hacer que imprimir() muestre nuevamente los resultados en la pantalla.
    */
   set_stdout ("")
   imprimir ("\nFueron copiadas ", cant_lineas, " lneas\n")
fin
