/*
 * Ejemplo de uso de SL.
 *
 * Genera todas las permutaciones que pueden obtenerse con los 
 * caracteres que se encuentren en el vector "letras".
 *
 * Este cdigo es una adaptacin de lo que figura en el libro
 * "MODULA-2. Desarrollo de Software" de Carlos Galan Pascual.
 *
 * 2004, jsegovia@cnc.una.py
 */

var
   letras : vector [*] cadena = {'a', 'b', 'c', 'd'}

inicio
   cls()
   set_color (2, 0)
   imprimir ("Muestra todas las permutaciones de los caracteres ",
             letras, "\n")
   set_color (1, 0)
   permutar (alen (letras))
fin


sub permutar (nper : numerico)
var
   k = 0
inicio
   si ( nper == 1 ) {
      imprimir ("(", letras, ") ")
   sino
      permutar (nper-1)
      desde k=1 hasta nper-1 {
         intercambiar (letras [k], letras [nper])
         permutar (nper-1)
         intercambiar (letras [k], letras [nper])
      }
   }
fin
